<?php
/**
 * The main template file for display client's galleries page.
 *
 * @package WordPress
*/

/**
*	Get Current page object
**/
$ob_page = get_page($post->ID);
$current_page_id = '';

if(isset($ob_page->ID))
{
    $current_page_id = $ob_page->ID;
}

//Check if password protected
get_template_part("/templates/template-client-password");

get_header();

//Check if disable slideshow hover effect
$tg_gallery_hover_slide = kirki_get_option( "tg_gallery_hover_slide" );

if(!empty($tg_gallery_hover_slide))
{
	wp_enqueue_script("grandphotography-jquery-cycle2", get_template_directory_uri()."/js/jquery.cycle2.min.js", false, THEMEVERSION, true);
	wp_enqueue_script("grandphotography-custom-cycle", get_template_directory_uri()."/js/custom_cycle.js", false, THEMEVERSION, true);
}
?>

<?php
	$grandphotography_page_content_class = grandphotography_get_page_content_class();
grandphotography_set_page_content_class('wide');

    //Include custom header feature
	get_template_part("/templates/template-client-header");
	
	wp_enqueue_script("grandphotography-custom-grid-pagination-click", admin_url('admin-ajax.php').esc_attr("?action=grandphotography_script_grid_gallery_pagination_click&columns=3&id=portfolio_mixed_filter_wrapper&button_id=infinite_load_more&loading_id=infinite_loading&gallery_id=".$current_page_id."&type=metro"), false, THEMEVERSION, true);
	
	$client_galleries = get_post_meta($current_page_id, 'client_galleries', true);
?>

<!-- Begin content -->
<div class="inner">

	<div class="inner_wrapper nopadding">
	
	<div id="page_main_content" class="sidebar_content full_width nopadding fixed_column">
	
	<div id="portfolio_mixed_filter_wrapper" class="portfolio_mixed_filter_wrapper gallery three_cols portfolio-content section content clearfix wide" data-columns="3">
	
	<?php
	    $large_counter = 1;
		$next_number_to_add = 4;
		$next_trigger = 1;
	
	    if (!empty($client_galleries) && is_array($client_galleries))
	    {
	    	foreach($client_galleries as $key => $client_gallery)
	    	{
		    	$small_image_url = array();
		        $image_url = '';
		        $gallery_ID = $client_gallery;
		        
		        //Calculated columns size
				$grid_wrapper_class = 'classic3_cols';
				$column_class = 'one_third gallery3';
				$grandphotography_image_size = 'grandphotography-gallery-grid';
				
				$large_counter_trigger = FALSE;
				
				if($next_trigger == $key+1)
				{
					$large_counter_trigger = TRUE;
					$next_trigger = $next_trigger+$next_number_to_add;
					
					if($next_number_to_add == 4)
					{
						$next_number_to_add = 2;
					}
					else if($next_number_to_add==2)
					{
						$next_number_to_add = 4;
					}
				}
				
				if($large_counter_trigger)
				{
					$wrapper_class = 'three_cols double_size';
					$grid_wrapper_class = 'classic3_cols double_size';
					$column_class = 'one_third gallery3 double_size';
					$grandphotography_image_size = 'grandphotography-gallery-grid-large';
				}
				
				$large_counter++;
		        		
		        if(has_post_thumbnail($gallery_ID, 'original'))
		        {
		            $image_id = get_post_thumbnail_id($gallery_ID);
		            $small_image_url = wp_get_attachment_image_src($image_id, $grandphotography_image_size, true);
		        }
		        
		        $permalink_url = get_permalink($gallery_ID);
		        $obj_gallery = get_post($gallery_ID);
	?>
		<div class="element grid <?php echo esc_attr($grid_wrapper_class); ?>">
	
			<div class="<?php echo esc_attr($column_class); ?> static filterable gallery_type archive animated<?php echo esc_attr($key+1); ?>" data-id="post-<?php echo esc_attr($key+1); ?>">
			
				<?php 
				    if(!empty($small_image_url[0]))
				    {
				?>	
				    <a href="<?php echo esc_url($permalink_url); ?>">
				    	<?php
					    	$all_photo_arr = array();
					    	
					    	if(!empty($tg_gallery_hover_slide))
					    	{
					    		//Get gallery images
					    		$all_photo_arr = get_post_meta($gallery_ID, 'wpsimplegallery_gallery', true);
					    		
					    		//Get only 5 recent photos
					    		$all_photo_arr = array_slice($all_photo_arr, 0, 5);
					    	}
					    	
						    if(!empty($all_photo_arr))
						    {
						?>
						<ul class="gallery_img_slides">
						<?php
						    foreach($all_photo_arr as $photo)
						    {
						    	$slide_image_url = wp_get_attachment_image_src($photo, $grandphotography_image_size, true);
						?>
						<li><img src="<?php echo esc_url($slide_image_url[0]); ?>" alt="" class="static"/></li>
						<?php
						    }
						?>
						</ul>
						<?php
						    }
						?>
				        <img src="<?php echo esc_url($small_image_url[0]); ?>" alt="<?php echo esc_attr(get_the_title()); ?>" />
				        <div class="portfolio_title">
						    <div class="image_caption">
						    	<h6><?php echo get_the_title($gallery_ID); ?></h6>
						    </div>
						</div>
				    </a>
				<?php
				    }		
				?>
			
			</div>
			
		</div>
	<?php
			}

		}
	?>
		
	</div>
	
	</div>

</div>
</div>
<br class="clear"/>
</div>
<?php get_footer(); ?>
<!-- End content -->